🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Jaimini Details

The jaimini_details API provides information about the Jaimini karakas, which are a set of seven chara karakas or indicators used in Jaimini astrology. The API returns the names and positions of each of the seven karakas along with their associated planetary information.
POSThttps://json.astrologyapi.com/v1/jaimini_details

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/jaimini_details' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data β€” no API key needed

{
  "janma_lagna": "Libra",
  "pad_lagna": "Aquarius",
  "up_pad_lagna": "Pisces",
  "kakamsha_lagna": "Taurus",
  "jaimini_karaka": {
    "atma_karaka": {
      "planet_name": "Mercury",
      "planet_id": 3,
      "full_degree": 85.49171301406825,
      "degree": 25.491713014068253,
      "speed": -0.29467903633858694,
      "sign": "Gemini"
    },
    "amatya_karaka": {
      "planet_name": "Venus",
      "planet_id": 5,
      "full_degree": 76.57181911264793,
      "degree": 16.57181911264793,
      "speed": 1.2289765385390012,
      "sign": "Gemini"
    },
    "bhatri_karaka": {
      "planet_name": "Mars",
      "planet_id": 2,
      "full_degree": 73.41992352157277,
      "degree": 13.41992352157277,
      "speed": 0.6649777633290916,
      "sign": "Gemini"
    },
    "matri_karaka": {
      "planet_name": "Sun",
      "planet_id": 0,
      "full_degree": 72.18954079246434,
      "degree": 12.189540792464342,
      "speed": 0.9537797443255392,
      "sign": "Gemini"
    },
    "putra_karaka": {
      "planet_name": "Moon",
      "planet_id": 1,
      "full_degree": 11.72351598586304,
      "degree": 11.72351598586304,
      "speed": 13.920316198066743,
      "sign": "Aries"
    },
    "gnati_karaka": {
      "planet_name": "Jupiter",
      "planet_id": 4,
      "full_degree": 35.53009646668099,
      "degree": 5.5300964666809875,
      "speed": 0.2119922731034037,
      "sign": "Taurus"
    },
    "dara_karaka": {
      "planet_name": "Saturn",
      "planet_id": 6,
      "full_degree": 32.39707346334402,
      "degree": 2.3970734633440216,
      "speed": 0.10910000257030411,
      "sign": "Taurus"
    }
  }
}